import dynamix_sdk.base as _base


class CloudapiDisksShareResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiDisksShareProtocol(_base.BasePostAPIFunctionProtocol):
    def share(
        self,
        *,
        disk_id: int,
    ) -> CloudapiDisksShareResultBool:
        ...
